const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_4 = ebx_global_2d_to_2d_local;
    ebx_global_2d_to_2d_local = z.x;
    v4_d = z.z[8];
    v2_1e = sqrtl(z.z * z.z + v4_d * v4_d + z.y * z.y);
    st6_global_2d_to_2d_local = v2_1e # st6;
    if fabsl(v2_1e) < 9223372036854775808.0:;
        # bb;
        st6_global_2d_to_2d_local = sinl(v2_1e);
        v7_22 = cosl(v2_1e);
    v4_2a = 1.442695040888963387 * z.x;
    z.x = __asm_fprem(v0_4, esi_global_2d_to_2d_local, ebp_global_2d_to_2d_local);
    z.x = __asm_f2xm1();
    v4_34 = v4_2a + 1.0 # bp+34;
    z.x = __asm_fscale();
    *ebx_global_2d_to_2d_local = v4_34 * v7_22;
    st4_global_2d_to_2d_local = v4_34 * st6_global_2d_to_2d_local # st4;
    v1_4a = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v3_4c = v1_4a / 256 & 65;
    z.x = z.x & -0x10000 | v1_4a & -0xff01 | 256 * v3_4c;
    v3_55_pre = st4_global_2d_to_2d_local;
    if v3_4c != 0:;
        # 0x51;
        v4_51 = v3_55_pre / v2_1e;
        st4_global_2d_to_2d_local = v4_51;
    else:;
        v4_51 = v3_55_pre;
    # 0x53;
    *z.y = v4_51 * z.y;
    *z.z = st4_global_2d_to_2d_local * z.z;
    v3_5f = z.z + 8;
    *v3_5f = st4_global_2d_to_2d_local * *v3_5f;
    z.x = ebx_global_2d_to_2d_local;
    return ebx_global_2d_to_2d_local;


	}